org.apache.sis.storage

## Class DataStoreReferencingException

- Object
- - Throwable
  - - Exception
    - - DataStoreException
      - - DataStoreReferencingException

- All Implemented Interfaces:
    Serializable, LocalizedException

      public class DataStoreReferencingException
      extends DataStoreException

  Thrown when a data store failed to construct the coordinate reference system (CRS) or other positioning information. This exception is typically (but not necessarily) caused by `FactoryException` or `TransformException`.
  Since:
    0.8
  See Also:
    Serialized Form

  Defined in the `sis-storage` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataStoreReferencingException(Locale locale, String format, String filename, Object store)` Creates a localized exception with a message saying that the given store can not be read.
    `DataStoreReferencingException(String message)` Creates an exception with the specified details message.
    `DataStoreReferencingException(String message, Throwable cause)` Creates an exception with the specified details message and cause.
    `DataStoreReferencingException(Throwable cause)` Creates an exception with the specified cause and no details message.

  - ### Method Summary

    - ### Methods inherited from class DataStoreException

      `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataStoreReferencingException

          public DataStoreReferencingException(String message)

      Creates an exception with the specified details message.
      Parameters:
        `message` - the detail message.

    - #### DataStoreReferencingException

          public DataStoreReferencingException(Throwable cause)

      Creates an exception with the specified cause and no details message.
      Parameters:
        `cause` - the cause for this exception.

    - #### DataStoreReferencingException

          public DataStoreReferencingException(String message,
                                               Throwable cause)

      Creates an exception with the specified details message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.

    - #### DataStoreReferencingException

          public DataStoreReferencingException(Locale locale,
                                               String format,
                                               String filename,
                                               Object store)

      Creates a localized exception with a message saying that the given store can not be read. Location in the file where the error occurred while be fetched from the given `store` argument if possible. If the given store is not recognized, then it will be ignored.
      Parameters:
        `locale` - the locale of the message to be returned by `DataStoreException​.getLocalizedMessage()`, or `null`.
        `format` - short name or abbreviation of the data format (e.g. "CSV", "GML", "WKT", etc).
        `filename` - name of the file or data store where the error occurred.
        `store` - the input or output object from which to get the current position, or `null` if none. This can be a `LineNumberReader` or `XMLStreamReader` for example.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.